package com.gensee.live;

import com.gensee.callback.IMedalPraiseCallback;
import com.gensee.praise.PraiseInfo;
import com.gensee.praise.PraiseUserInfo;
import com.gensee.room.RtSdk;
import com.gensee.utils.GenseeLog;

public class MedalPraise implements IMedalPraiseCallback {
    String TAG = "MedalPraise";
//    #define PraiseType_Faour		"favour"
//            #define PraiseType_Medal		"medal"

    public final static String PraiseType_Faour = "favour";
    public final static String PraiseType_Medal = "medal";
    RtSdk mRtSDK;
    public MedalPraise(RtSdk rtSDK){
        mRtSDK = rtSDK;
    }
    @Override
    public void onPraiseInfo(int i, String s, PraiseUserInfo praiseUserInfo) {
        GenseeLog.d(TAG,"onSetPraiseInfo result = " + i + " type = " + s +  praiseUserInfo);

    }



    @Override
    public void onPraiseTotal(int i, String s, int i1) {
        GenseeLog.d(TAG,"onGetPraiseTotal result = " + i + " type = " + s +  " total = " + i1);
    }

    @Override
    public void onPraiseRecvList(int i, String s, PraiseInfo[] praiseInfos) {
        GenseeLog.d(TAG,"onGetPraiseRecvList result = " + i + " type = " + s +  " len = " + (praiseInfos==null?0:praiseInfos.length));
    }

    @Override
    public void onPraiseNotify(String s, boolean b, int i, PraiseUserInfo praiseUserInfo, PraiseUserInfo praiseUserInfo1, String s1) {

    }

    @Override
    public void onSendPraiseInBatch(int i, String s, PraiseUserInfo praiseUserInfo) {

    }
}
